Bug 253865 - [exp-run] Update PyQt5 to 5.15.3, qscintilla2 to 2.12.0 and py-qtbuilder to 1.9.0
Summary: [exp-run] Update PyQt5 to 5.15.3, qscintilla2 to 2.12.0 and py-qtbuilder to 1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-26 08:12 UTC by Loïc Bartoletti
Modified: 2021-03-08 06:50 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
PyQt5-5.15.3, qscintilla2 2.12.0 and py-qtbuilder to 1.9.0 v1 (22.03 KB, patch)
2021-02-26 08:12 UTC, Loïc Bartoletti
no flags Details | Diff
PyQt5-5.15.3, qscintilla2 2.12.0 and py-qtbuilder to 1.9.0 v2 (23.16 KB, patch)
2021-02-26 08:36 UTC, Loïc Bartoletti
no flags Details | Diff
PyQt5-5.15.3, qscintilla2 2.12.0 and py-qtbuilder to 1.9.0 v3 (fixed patch) (26.35 KB, patch)
2021-03-05 14:41 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2021-02-26 08:12:22 UTC
Created attachment 222838 [details]
PyQt5-5.15.3, qscintilla2 2.12.0 and py-qtbuilder to 1.9.0 v1

Hi there

kde@ would like to ask for an exp-run to update devel/py-qt5, devel/py-qtbuilder and devel/qscintilla2 to the newest versions.

Thanks,

Loïc
Comment 1 Loïc Bartoletti freebsd_committer 2021-02-26 08:36:13 UTC
Created attachment 222839 [details]
PyQt5-5.15.3, qscintilla2 2.12.0 and py-qtbuilder to 1.9.0 v2
Comment 3 Loïc Bartoletti freebsd_committer 2021-03-05 14:41:24 UTC
Created attachment 223002 [details]
PyQt5-5.15.3, qscintilla2 2.12.0 and py-qtbuilder to 1.9.0 v3 (fixed patch)
Comment 4 Antoine Brodin freebsd_committer 2021-03-07 19:07:14 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2021-03-08 06:49:47 UTC
A commit references this bug:

Author: lbartoletti
Date: Mon Mar  8 06:49:36 UTC 2021
New revision: 567825
URL: https://svnweb.freebsd.org/changeset/ports/567825

Log:
  PyQt5: Update PyQt5 to 5.15.3, QScintilla2 to 2.12.0, py-qtbuilder to 1.9.0

  * PyQt5: update to 5.15.3

  This is a minor feature and bug-fix release. There are corresponding releases of the other PyQt5-related packages.

   - Added the missing QImage.setAlphaChannel().
   - Support for the QtNetworkAuth library has been moved to a separate PyQtNetworkAuth package.
   - Wheels no longer bundle the corresponding Qt libraries and instead automatically install them from an external wheel.

  * QScintilla2: update to 2.12.0

  This adds support for Qt6 and removes support for Qt4.

   - Change the new distname (again)i due to a conflict
   - Use the new sip-build system

  * devel/py-qtbuilder: update to 1.9.0
  * devel/py-sip: fix flavor for sip-distinfo

  PR:		253865
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/pyqt.mk
  head/audio/cadence/Makefile
  head/audio/carla/Makefile
  head/audio/picard/Makefile
  head/biology/py-ete3/Makefile
  head/cad/cura/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/cad/py-cq-editor/Makefile
  head/cad/py-pyfda/Makefile
  head/cad/uranium/Makefile
  head/comms/gnuradio/Makefile
  head/comms/nanovna-saver/Makefile
  head/comms/py-qt5-sensors/Makefile
  head/comms/py-qt5-serialport/Makefile
  head/databases/py-qt5-sql/Makefile
  head/databases/sqlitebrowser/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/py-autokey/Makefile
  head/deskutils/treeline/Makefile
  head/devel/eric6/Makefile
  head/devel/git-cola/Makefile
  head/devel/libsavitar/Makefile
  head/devel/py-pynest2d/Makefile
  head/devel/py-qt5/distinfo
  head/devel/py-qt5-core/Makefile
  head/devel/py-qt5-dbus/Makefile
  head/devel/py-qt5-designer/Makefile
  head/devel/py-qt5-help/Makefile
  head/devel/py-qt5-location/Makefile
  head/devel/py-qt5-qscintilla2/Makefile
  head/devel/py-qt5-qscintilla2/files/
  head/devel/py-qt5-qscintilla2/files/patch-project.py
  head/devel/py-qt5-qscintilla2/pkg-plist
  head/devel/py-qt5-remoteobjects/Makefile
  head/devel/py-qt5-test/Makefile
  head/devel/py-qtbuilder/distinfo
  head/devel/py-sip/Makefile
  head/devel/py-sip/files/
  head/devel/py-sip/files/patch-sipbuild_project.py
  head/devel/py-spyder/Makefile
  head/devel/qscintilla2-designerplugin-qt5/Makefile
  head/devel/qscintilla2-qt5/Makefile
  head/devel/qscintilla2-qt5/distinfo
  head/devel/qscintilla2-qt5/pkg-plist
  head/devel/tortoisehg/Makefile
  head/devel/vitables/Makefile
  head/emulators/fs-uae-launcher/Makefile
  head/games/anki/Makefile
  head/games/py-mnemosyne/Makefile
  head/graphics/py-python-poppler-qt5/Makefile
  head/graphics/py-qt5-svg/Makefile
  head/graphics/py-visvis/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qgis-ltr/Makefile
  head/graphics/qtqr/Makefile
  head/graphics/rapid-photo-downloader/Makefile
  head/lang/py-qt5-qml/Makefile
  head/math/asymptote/Makefile
  head/math/convertall/Makefile
  head/math/octave/Makefile
  head/math/rpcalc/Makefile
  head/misc/orange3/Makefile
  head/misc/py-QSpectrumAnalyzer/Makefile
  head/misc/py-qt5-demo/Makefile
  head/misc/urh/Makefile
  head/multimedia/openshot/Makefile
  head/multimedia/py-qt5-multimedia/Makefile
  head/multimedia/py-qt5-multimediawidgets/Makefile
  head/net/libarcus/Makefile
  head/net/py-qt5-network/Makefile
  head/net/py-qt5-networkauth/Makefile
  head/net/py-qt5-networkauth/distinfo
  head/net/py-qt5-networkauth/pkg-plist
  head/net-im/scudcloud/Makefile
  head/net-mgmt/nagstamon/Makefile
  head/print/py-frescobaldi/Makefile
  head/print/py-qt5-printsupport/Makefile
  head/science/code_saturne/Makefile
  head/science/py-veusz/Makefile
  head/sysutils/angrysearch/Makefile
  head/textproc/py-qt5-xml/Makefile
  head/textproc/py-qt5-xmlpatterns/Makefile
  head/textproc/retext/Makefile
  head/www/onionshare/Makefile
  head/www/py-qt5-webchannel/Makefile
  head/www/py-qt5-webengine/Makefile
  head/www/py-qt5-webengine/distinfo
  head/www/py-qt5-webkit/Makefile
  head/www/py-qt5-webkitwidgets/Makefile
  head/www/py-qt5-websockets/Makefile
  head/www/py-weboob-qt/Makefile
  head/www/qutebrowser/Makefile
  head/x11/py-qt5-opengl/Makefile
  head/x11-toolkits/py-qt5-chart/Makefile
  head/x11-toolkits/py-qt5-chart/distinfo
  head/x11-toolkits/py-qt5-quick/Makefile
  head/x11-toolkits/py-qt5-quick3d/Makefile
  head/x11-toolkits/py-qt5-quickwidgets/Makefile
  head/x11-toolkits/py-qt5-widgets/Makefile
Comment 6 Loïc Bartoletti freebsd_committer 2021-03-08 06:50:58 UTC
Committed, thanks for the exp-run antoine!